mongo shell segmentation fault when built with --disable-scripting

Bug #1270098 reported by James Page on 2014-01-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju-mongodb (Ubuntu)
High
James Page

Bug Description

$ /usr/lib/juju/bin/mongo
MongoDB shell version: 2.4.8
Fri Jan 17 10:23:19.944 mongo got signal 11 (Segmentation fault), stack trace:

Fri Jan 17 10:23:19.944 0x53bc26 0x45e308 0x7f66b8474fb0 0x461574 0x458d72 0x7f66b845fed5 0x45ddcb
 /usr/lib/juju/bin/mongo(_ZN5mongo15printStackTraceERSo+0x26) [0x53bc26]
 /usr/lib/juju/bin/mongo(_Z12quitAbruptlyi+0x338) [0x45e308]
 /lib/x86_64-linux-gnu/libc.so.6(+0x36fb0) [0x7f66b8474fb0]
 /usr/lib/juju/bin/mongo(_Z5_mainiPPcS0_+0x13d4) [0x461574]
 /usr/lib/juju/bin/mongo(main+0x22) [0x458d72]
 /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0x7f66b845fed5]
 /usr/lib/juju/bin/mongo() [0x45ddcb]

Building debug-symbols to look in more detail.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: juju-mongodb 2.4.8-0ubuntu6
ProcVersionSignature: Ubuntu 3.13.0-3.18-generic 3.13.0-rc8
Uname: Linux 3.13.0-3-generic x86_64
ApportVersion: 2.13.1-0ubuntu1
Architecture: amd64
CurrentDesktop: Unity
Date: Fri Jan 17 10:23:01 2014
EcryptfsInUse: Yes
InstallationDate: Installed on 2013-04-23 (268 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130423)
SourcePackage: juju-mongodb
UpgradeStatus: Upgraded to trusty on 2013-11-11 (66 days ago)

James Page (james-page) wrote :
Changed in juju-mongodb (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-14.02
status: New → In Progress
assignee: nobody → James Page (james-page)
James Page (james-page) wrote :

The mongo shell is built without scripting support; src/mongo/shell/dbshell.cpp needs work to ensure that the shell does not try to initialize a scripting engine and use it.

summary: - mongo shell segmentation fault
+ mongo shell segmentation fault when built with --disable-scripting
James Page (james-page) wrote :

(gdb) backtrace
#0 0x0000000000461927 in setScopeInitCallback (this=0x0, func=<optimised out>) at src/mongo/scripting/engine.h:198
#1 _main (argc=argc@entry=3, argv=argv@entry=0x7fffffffddc8, envp=envp@entry=0xfec000) at src/mongo/shell/dbshell.cpp:851
#2 0x0000000000459122 in main (argc=3, argv=0x7fffffffddc8, envp=0xfec000) at src/mongo/shell/dbshell.cpp:1062

Michael Hudson-Doyle (mwhudson) wrote :

Should the mongo binary even be built when scripting is disabled? I'm not sure what it can usefully do.

James Page (james-page) wrote :

I tend to agree - the other cli tools work OK without scripting.

If you really need to access a mongod instance, you can use the universe client tools; but for normal day-to-day operation with juju this should not be required.

Michael Hudson-Doyle (mwhudson) wrote :

How about replacing 0001-Add-option-to-disable-javascript.patch and 0005-disable-jstests.patch with https://github.com/mongodb/mongo/pull/591.diff?

James Page (james-page) wrote :

Michael - 0001-Add-option-to-disable-javascript.patch was already based on your pull request, but for the older stable release; I prefer your approach to disabling jstests so will steal that!

Cheers

James

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package juju-mongodb - 2.4.9-0ubuntu2

---------------
juju-mongodb (2.4.9-0ubuntu2) trusty; urgency=medium

  * d/tests/binaries: Drop check for mongo binary.
 -- James Page <email address hidden> Wed, 22 Jan 2014 16:39:13 +0000

Changed in juju-mongodb (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints